Summary:	Shell tool for executing jobs in parallel
Summary(pl.UTF-8):	Narzędzie powłoki do równoległego uruchamiania zadań
Name:		parallel
Version:	20210622
Release:	1
License:	GPL v3+
Group:		Applications/System
Source0:	https://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.bz2
# Source0-md5:	eec03c3f9de03d0bca32688000ff694a
URL:		https://www.gnu.org/software/parallel/
BuildRequires:	perl-tools-pod
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Parallel is a shell tool for executing jobs in parallel using one
or more machines. A job is typically a single command or a small
script that has to be run for each of the lines in the input. The
typical input is a list of files, a list of hosts, a list of users, or
a list of tables.

If you use xargs today you will find GNU Parallel very easy to use. If
you write loops in shell, you will find GNU Parallel may be able to
replace most of the loops and make them run faster by running jobs in
parallel. If you use ppss or pexec you will find GNU Parallel will
often make the command easier to read.

GNU Parallel also makes sure output from the commands is the same
output as you would get had you run the commands sequentially. This
makes it possible to use output from GNU Parallel as input for other
programs.

GNU Parallel is command-line-compatible with moreutils' parallel, but
offers additional features.

%description -l pl.UTF-8
GNU Parallel to narzędzie powłoki do równoległego uruchamiania zadań
przy użyciu jednej lub większej liczby maszyn. Zadanie to zwykle
pojedyncze polecenie lub mały skrypt, który ma być uruchomiony dla
każdego wiersza z wejścia. Zwykle wejściem jest lista plików, lista
hostów, lista użytkowników lub lista tabel.

Korzystający dotychczas z xargs uznają GNU Parallel za bardzo łatwe w
użyciu. Piszący pętle w języku powłoki zauważą, że GNU Parallel może
zastąpić większość pętli i przyspieszyć je poprzez uruchamianie zadań
równolegle. Użytkownicy programów ppss lub pexec zwykle uznają, że
GNU Parallel czyni polecenia bardziej czytelnymi.

GNU Parallel zapewnia dodatkowo, że wyjście poleceń jest takie samo,
jak przy sekwencyjnym uruchamianiu poleceń. Pozwala to wykorzystywać
wyjście z GNU Parallel jako wejście dla innych programów.

GNU Parallel jest zgodny co do wiersza poleceń z narzędziem parallel z
moreutils, ale oferuje dodatkowe możliwości.

%package -n env_parallel
Summary:	env_parallel shell function
Summary(pl.UTF-8):	Funkca powłoki env_parallel
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description -n env_parallel
env_parallel is a shell function that exports the current environment
to GNU Parallel.

%description -n env_parallel -l pl.UTF-8
env_parallel to funkcja powłoki eksportująca bieżące środowisko do
GNU Parallel.

%prep
%setup -q

%{__sed} -i -e '1s,^#!.*perl,#!%{__perl},' src/{parallel,sem}
%{__sed} -i -e '1{\@^#!@d}' src/env_parallel.*
%{__sed} -i -e '1s,^#!/usr/bin/env ,#!/bin/,' src/env_* src/parset

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/parallel

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_mandir}/man1/{sql,parallel-sql}.1
touch $RPM_BUILD_ROOT%{_sysconfdir}/parallel/config
%{__rm} -rv $RPM_BUILD_ROOT%{_docdir}/parallel

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CITATION CREDITS NEWS README
%dir %{_sysconfdir}/parallel
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/parallel/config
%attr(755,root,root) %{_bindir}/niceload
%attr(755,root,root) %{_bindir}/parallel
%attr(755,root,root) %{_bindir}/parcat
%attr(755,root,root) %{_bindir}/parset
%attr(755,root,root) %{_bindir}/parsort
%attr(755,root,root) %{_bindir}/sem
%attr(755,root,root) %{_bindir}/sql
%{_mandir}/man1/niceload.1*
%{_mandir}/man1/parallel.1*
%{_mandir}/man1/parallel-sql.1*
%{_mandir}/man1/parcat.1*
%{_mandir}/man1/parset.1*
%{_mandir}/man1/parsort.1*
%{_mandir}/man1/sem.1*
%{_mandir}/man7/parallel_alternatives.7*
%{_mandir}/man7/parallel_book.7*
%{_mandir}/man7/parallel_design.7*
%{_mandir}/man7/parallel_tutorial.7*

%files -n env_parallel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/env_parallel
%attr(755,root,root) %{_bindir}/env_parallel.ash
%attr(755,root,root) %{_bindir}/env_parallel.bash
%attr(755,root,root) %{_bindir}/env_parallel.csh
%attr(755,root,root) %{_bindir}/env_parallel.dash
%attr(755,root,root) %{_bindir}/env_parallel.fish
%attr(755,root,root) %{_bindir}/env_parallel.ksh
%attr(755,root,root) %{_bindir}/env_parallel.mksh
%attr(755,root,root) %{_bindir}/env_parallel.pdksh
%attr(755,root,root) %{_bindir}/env_parallel.sh
%attr(755,root,root) %{_bindir}/env_parallel.tcsh
%attr(755,root,root) %{_bindir}/env_parallel.zsh
%{_mandir}/man1/env_parallel.1*
%changelog
* Thu Jul 15 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/parallel.git;a=log;h=master

* Thu Jul 15 2021 Jakub Bogusz <qboosh@pld-linux.org> 4e1ace6
- updated to 20210622

* Sat Jun 12 2021 Jakub Bogusz <qboosh@pld-linux.org> ea1ba0d
- updated to 20210522

* Sat Apr 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 62956f7
- updated to 20210322
- updated docs list; don't package HTML/TEXI versions of man pages

* Fri Apr 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 4635048
- pl

* Mon Nov 02 2020 Jan Palus <atler@pld-linux.org> deb0968
- up to 20201022

* Sat Jan 25 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> ff8e3d7
- up to 20200122

* Thu Nov 29 2018 Elan Ruusamäe <glen@pld-linux.org> 16e7217
- fix shebangs

* Thu Nov 29 2018 Elan Ruusamäe <glen@pld-linux.org> a0459bd
- package env_parallel

* Thu Nov 29 2018 Elan Ruusamäe <glen@pld-linux.org> d31db2e
- up to 20181122

* Sun Feb 25 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b347d81
- up to 20180222

* Wed May 27 2015 Elan Ruusamäe <glen@delfi.ee> 7e6f010
- up to 20150522

* Mon Jan 26 2015 Elan Ruusamäe <glen@delfi.ee> 3ae6fa4
- up to 20150122

* Tue Dec 16 2014 Elan Ruusamäe <glen@delfi.ee> 9d17931
- up to 20141122

* Thu Jul 10 2014 Elan Ruusamäe <glen@delfi.ee> cb7e451
- up to 20140522

* Thu Apr 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 32b2313
- up to 20140422

* Mon Dec 30 2013 Elan Ruusamäe <glen@delfi.ee> 8027a40
- pld fixes

* Sun Dec 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a10c02
- initial

